Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.registration
Interface ConsumerCapabilities

All Known Implementing Classes:
  ConsumerCapabilitiesImpl

    public interface ConsumerCapabilities

Since:
  2.6
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Method Summary
`java.util.List` | `getSupportedModes()` Returns the list of supported `Mode`s
`java.util.List` | `getSupportedUserProfileData()` Returns the list of names of UserProfile extensions the associated Consumer supports.
`java.util.List` | `getSupportedUserScopes()` Returns the list of user scopes (e.g.
`java.util.List` | `getSupportedWindowStates()` Returns the list of supported `WindowState`s
`void` | `setSupportedModes(java.util.List supportedModes)`
`void` | `setSupportedUserProfileData(java.util.List supportedUserProfileData)`
`void` | `setSupportedUserScopes(java.util.List supportedUserScopes)`
`void` | `setSupportedWindowStates(java.util.List supportedWindowStates)`
`void` | `setSupportsGetMethod(boolean supportsGetMethod)`
`boolean` | `supportsGetMethod()`

Method Detail

### supportsGetMethod

    boolean supportsGetMethod()

### getSupportedModes

    java.util.List getSupportedModes()

  Returns the list of supported `Mode`s

  Returns:

### getSupportedWindowStates

    java.util.List getSupportedWindowStates()

  Returns the list of supported `WindowState`s

  Returns:

### getSupportedUserScopes

    java.util.List getSupportedUserScopes()

  Returns the list of user scopes (e.g. "wsrp:perUser") the associated Consumer is willing to process. See WSRP 1.0 7.1.1 for more details.

  Returns:

### getSupportedUserProfileData

    java.util.List getSupportedUserProfileData()

  Returns the list of names of UserProfile extensions the associated Consumer supports. See WSRP 1.0 7.1.1 for more details.

  Returns:

### setSupportsGetMethod

    void setSupportsGetMethod(boolean supportsGetMethod)

### setSupportedModes

    void setSupportedModes(java.util.List supportedModes)

### setSupportedWindowStates

    void setSupportedWindowStates(java.util.List supportedWindowStates)

### setSupportedUserScopes

    void setSupportedUserScopes(java.util.List supportedUserScopes)

### setSupportedUserProfileData

    void setSupportedUserProfileData(java.util.List supportedUserProfileData)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD